FileContentMerger (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.api

## [Java] Class FileContentMerger

- org.gradle.plugins.ide.api.FileContentMerger

- Models the generation/parsing/merging capabilities.

  For examples see docs for EclipseProject or IdeaProject and others.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `beforeMerged(groovy.lang.Closure closure)` Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.
    `org.gradle.listener.ActionBroadcast` | `getBeforeMerged()`
    `org.gradle.listener.ActionBroadcast` | `getWhenMerged()`
    `void` | `setBeforeMerged(org.gradle.listener.ActionBroadcast beforeMerged)`
    `void` | `setWhenMerged(org.gradle.listener.ActionBroadcast whenMerged)`
    `void` | `whenMerged(groovy.lang.Closure closure)` Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void beforeMerged(groovy.lang.Closure closure)

      Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.

      This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content.

      For examples see docs for EclipseProject or IdeaProject and others.

      Parameters:
        `closure` - The closure to execute.

    - #### public org.gradle.listener.ActionBroadcast getBeforeMerged()

    - #### public org.gradle.listener.ActionBroadcast getWhenMerged()

    - #### public void setBeforeMerged(org.gradle.listener.ActionBroadcast beforeMerged)

    - #### public void setWhenMerged(org.gradle.listener.ActionBroadcast whenMerged)

    - #### public void whenMerged(groovy.lang.Closure closure)

      Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.

      This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

      For examples see docs for EclipseProject or IdeaProject and others.

      Parameters:
        `closure` - The closure to execute.